soaplib.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | soap_device_callback (http_parser_t *parser, http_message_t *request, SOCKINFO *info)
| This is a callback called by minisever after receiving the request from the control point. This function will start processing the request. It calls handle_invoke_action to handle the SOAP action. More...
int | SoapSendAction (IN char *action_url, IN char *service_type, IN IXML_Document *action_node, OUT IXML_Document **response_node)
int | SoapSendActionEx (IN char *ActionURL, IN char *ServiceType, IN IXML_Document *Header, IN IXML_Document *ActNode, OUT IXML_Document **RespNode)
int | SoapGetServiceVarStatus (IN char *ActionURL, IN DOMString VarName, OUT DOMString *StVar)

## Variables

const char * | ContentTypeHeader

## Function Documentation

## soap_device_callback()

void soap_device_callback | ( | http_parser_t * | parser,
|  | http_message_t * | request,
|  | SOCKINFO * | info
| ) |  |

This is a callback called by minisever after receiving the request from the control point. This function will start processing the request. It calls handle_invoke_action to handle the SOAP action.

This is a callback called by minisever after receiving the request from the control point. This function will start processing the request. It calls handle_invoke_action to handle the SOAP action.

Parameters

  [in] | parser | Parsed request received by the device.
  [in] | request | HTTP request.
  [in,out] | info | Socket info.

References check_soapaction_hdr(), SOCKINFO::foreign_sockaddr, get_dev_service(), has_xml_content_type(), and UPNP_E_SUCCESS.